org.licas.autonomic.script

## Class AutoInvokeThread

- java.lang.Object
- - org.licas.autonomic.script.AutoInvokeThread

-     public class AutoInvokeThread
      extends java.lang.Object

  This manages a script event by running it in a thread.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoInvokeThread()` Create a new instance of AutoInvokeThread

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AutoOut` | `run(AutoEngineInfo autoInfo, java.util.ArrayList paramList, ObjectsMap objectsMap, Service service)` Invoke the parallel method list and return the result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoInvokeThread

          public AutoInvokeThread()

      Create a new instance of AutoInvokeThread

  - ### Method Detail

    - #### run

          protected AutoOut run(AutoEngineInfo autoInfo,
                                java.util.ArrayList paramList,
                                ObjectsMap objectsMap,
                                Service service)
                         throws LicasException,
                                java.lang.Exception

      Invoke the parallel method list and return the result.
      Parameters:
        `autoInfo` - the process script elements parsed into their actual objects and definitions.
        `paramList` - an external set of `KeyValue` objects that can replace named or tagged fields in the method parameter lists. If empty or no match, then nothing gets changed.
        `objectsMap` - mapping of variable names to instances. This method can ad more variables, but should be for the method invocation only, so immediately cloned.
        `service` - the service to execute on.
      Returns:
        the result of the evaluation. This is the `effectorList` of the input parameter if the evaluation is true, or an empty list if it is false. Evaluating to true can include matching exactly to an XML description, or just have any result, for example, by using a `checkReply` method.
      Throws:
        `LicasException` - for a licas-specific mapping problem.
        `java.lang.Exception` - any error.